Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class TrueTypeFont.HorizontalHeader

    java.lang.Object
      com.lowagie.text.pdf.TrueTypeFont.HorizontalHeader

Enclosing class:
  TrueTypeFont

    protected static class TrueTypeFont.HorizontalHeader

extends Object

The components of table 'hhea'.

Field Summary
`(package private) int` | `advanceWidthMax` A variable.
`(package private) short` | `Ascender` A variable.
`(package private) short` | `caretSlopeRise` A variable.
`(package private) short` | `caretSlopeRun` A variable.
`(package private) short` | `Descender` A variable.
`(package private) short` | `LineGap` A variable.
`(package private) short` | `minLeftSideBearing` A variable.
`(package private) short` | `minRightSideBearing` A variable.
`(package private) int` | `numberOfHMetrics` A variable.
`(package private) short` | `xMaxExtent` A variable.

Constructor Summary
`protected` | `TrueTypeFont.HorizontalHeader()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Ascender

    short Ascender

  A variable.

### Descender

    short Descender

  A variable.

### LineGap

    short LineGap

  A variable.

### advanceWidthMax

    int advanceWidthMax

  A variable.

### minLeftSideBearing

    short minLeftSideBearing

  A variable.

### minRightSideBearing

    short minRightSideBearing

  A variable.

### xMaxExtent

    short xMaxExtent

  A variable.

### caretSlopeRise

    short caretSlopeRise

  A variable.

### caretSlopeRun

    short caretSlopeRun

  A variable.

### numberOfHMetrics

    int numberOfHMetrics

  A variable.

Constructor Detail

### TrueTypeFont.HorizontalHeader

    protected TrueTypeFont.HorizontalHeader()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD